> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gloo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search

> Search (deprecated).

<Warning>
  **This endpoint has been deprecated.** Use the equivalent [Search](/api-reference/data/search-publisher-data) publisher data endpoint instead.

  Migration steps:

  1. POST to `/ai/data/v1/search`
  2. Use `query` instead of `search`
</Warning>


## OpenAPI

````yaml post /ai/v1/kallm/search
openapi: 3.1.0
info:
  title: AI API
  description: |-
    Optimized for high-speed inference and scalability by Gloo AI

    [Swagger UI](./docs) | [ReDoc UI](./redoc)
  version: 1.0.0
servers:
  - url: https://platform.ai.gloo.com
security:
  - bearerAuth: []
tags:
  - name: Content Controls
  - name: Data Engine
  - name: Ingestion & Enrichment
  - name: answers
  - name: chat
  - name: completions
  - name: content
  - name: core
  - name: data
  - name: get-models
  - name: ingestion
  - name: sotc
paths:
  /ai/v1/kallm/search:
    post:
      tags:
        - core
      summary: Search (deprecated)
      description: Search (deprecated).
      operationId: search_ai_v1_kallm_search_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SearchRequestBody'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                title: Response Search Ai V1 Gloo AI Chat Search Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      deprecated: true
components:
  schemas:
    SearchRequestBody:
      properties:
        search:
          type: string
          minLength: 1
          title: Search
          description: Search query
        collection:
          type: string
          title: Collection
          description: Collection to search in
        filters:
          items:
            type: string
          type: array
          title: Filters
          description: List of publishers to filter by
          default: []
        limit:
          type: integer
          minimum: 1
          title: Limit
          description: Number of search results to return
          default: 100
        tenant:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant
          description: Tenant to search in
      type: object
      required:
        - search
        - collection
      title: SearchRequestBody
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form Bearer `<token>`, where
        `<token>` is your [auth token](/studio/manage-api-credentials).

````